Index: /branches/2.2/jabberit_messenger/jmessenger/js/SnifferBrowser.mini.js
===================================================================
--- /branches/2.2/jabberit_messenger/jmessenger/js/SnifferBrowser.mini.js	(revision 3687)
+++ /branches/2.2/jabberit_messenger/jmessenger/js/SnifferBrowser.mini.js	(revision 4341)
@@ -5,5 +5,5 @@
 {is_konq=true;is_minor=parseFloat(agt.substring(kqPos+10,agt.indexOf(';',kqPos)));is_major=parseInt(is_minor);}
 var is_khtml=(((agt.indexOf('safari')!=-1)&&(agt.indexOf('mac')!=-1))&&(is_konq));var is_opera=(agt.indexOf("opera")!=-1);var is_ie=((iePos!=-1)&&(!is_opera)&&(!is_khtml));var is_gecko=((!is_khtml)&&(navigator.product)&&(navigator.product.toLowerCase()=="gecko"))?true:false;var is_gver=0;if(is_gecko)
-is_gver=navigator.productSub;var is_moz=((agt.indexOf('mozilla/5')!=-1)&&(agt.indexOf('spoofer')==-1)&&(agt.indexOf('compatible')==-1)&&(agt.indexOf('opera')==-1)&&(agt.indexOf('webtv')==-1)&&(agt.indexOf('hotjava')==-1)&&(is_gecko)&&((navigator.vendor=="")||(navigator.vendor=="Mozilla")));var _browser=[['chrome8',(agt.indexOf('chrome/8')!=-1)],['epiphany2',(agt.indexOf('epiphany/2')!=-1)],['firefox1',(agt.indexOf('firefox/1')!=-1)],['firefox2',(agt.indexOf('firefox/2')!=-1)],['firefox3',(agt.indexOf('firefox/3')!=-1)],['iceweasel3',(agt.indexOf('iceweasel/3')!=-1)],['ie3',(((iePos!=-1)&&(!is_opera)&&(!is_khtml))&&(is_major<4))],['ie4',(((iePos!=-1)&&(!is_opera)&&(!is_khtml))&&(is_major==4))],['ie5',(((iePos!=-1)&&(!is_opera)&&(!is_khtml))&&(is_major==5))],['ie55',(((iePos!=-1)&&(!is_opera)&&(!is_khtml))&&(agt.indexOf("msie 5.5")!=-1))],['ie6',(((iePos!=-1)&&(!is_opera)&&(!is_khtml))&&(is_major==6))],['ie7',(((iePos!=-1)&&(!is_opera)&&(!is_khtml))&&(is_major==7))],['ie8',(((iePos!=-1)&&(!is_opera)&&(!is_khtml))&&(is_major==8))],['is_ie',((iePos!=-1)&&(!is_opera)&&(!is_khtml))],['is_gecko',is_gecko],['is_opera',is_opera],['is_khtml',is_khtml],['is_moz',is_moz],['is_opera',is_opera],['opera2',(agt.indexOf("opera 2")!=-1||agt.indexOf("opera/2")!=-1)],['opera3',(agt.indexOf("opera 3")!=-1||agt.indexOf("opera/3")!=-1)],['opera4',(agt.indexOf("opera 4")!=-1||agt.indexOf("opera/4")!=-1)],['opera5',(agt.indexOf("opera 5")!=-1||agt.indexOf("opera/5")!=-1)],['opera6',(agt.indexOf("opera 6")!=-1||agt.indexOf("opera/6")!=-1)],['opera7',(agt.indexOf("opera 7")!=-1||agt.indexOf("opera/7")!=-1)],['opera8',(agt.indexOf("opera 8")!=-1||agt.indexOf("opera/8")!=-1)],['opera9',(agt.indexOf("opera 9")!=-1||agt.indexOf("opera/9")!=-1)],['safari',((agt.indexOf('safari')!=-1)&&(agt.indexOf('mac')!=-1))],['khtml',is_khtml]];function isCompatible()
+is_gver=navigator.productSub;var is_moz=((agt.indexOf('mozilla/5')!=-1)&&(agt.indexOf('spoofer')==-1)&&(agt.indexOf('compatible')==-1)&&(agt.indexOf('opera')==-1)&&(agt.indexOf('webtv')==-1)&&(agt.indexOf('hotjava')==-1)&&(is_gecko)&&((navigator.vendor=="")||(navigator.vendor=="Mozilla")));var _browser=[['chrome8',(agt.indexOf('chrome/8')!=-1)],['epiphany2',(agt.indexOf('epiphany/2')!=-1)],['firefox1',(agt.indexOf('firefox/1')!=-1)],['firefox2',(agt.indexOf('firefox/2')!=-1)],['firefox3',(agt.indexOf('firefox/3')!=-1)],['firefox3',(agt.indexOf('firefox/4')!=-1)],['iceweasel3',(agt.indexOf('iceweasel/3')!=-1)],['ie3',(((iePos!=-1)&&(!is_opera)&&(!is_khtml))&&(is_major<4))],['ie4',(((iePos!=-1)&&(!is_opera)&&(!is_khtml))&&(is_major==4))],['ie5',(((iePos!=-1)&&(!is_opera)&&(!is_khtml))&&(is_major==5))],['ie55',(((iePos!=-1)&&(!is_opera)&&(!is_khtml))&&(agt.indexOf("msie 5.5")!=-1))],['ie6',(((iePos!=-1)&&(!is_opera)&&(!is_khtml))&&(is_major==6))],['ie7',(((iePos!=-1)&&(!is_opera)&&(!is_khtml))&&(is_major==7))],['ie8',(((iePos!=-1)&&(!is_opera)&&(!is_khtml))&&(is_major==8))],['is_ie',((iePos!=-1)&&(!is_opera)&&(!is_khtml))],['is_gecko',is_gecko],['is_opera',is_opera],['is_khtml',is_khtml],['is_moz',is_moz],['is_opera',is_opera],['opera2',(agt.indexOf("opera 2")!=-1||agt.indexOf("opera/2")!=-1)],['opera3',(agt.indexOf("opera 3")!=-1||agt.indexOf("opera/3")!=-1)],['opera4',(agt.indexOf("opera 4")!=-1||agt.indexOf("opera/4")!=-1)],['opera5',(agt.indexOf("opera 5")!=-1||agt.indexOf("opera/5")!=-1)],['opera6',(agt.indexOf("opera 6")!=-1||agt.indexOf("opera/6")!=-1)],['opera7',(agt.indexOf("opera 7")!=-1||agt.indexOf("opera/7")!=-1)],['opera8',(agt.indexOf("opera 8")!=-1||agt.indexOf("opera/8")!=-1)],['opera9',(agt.indexOf("opera 9")!=-1||agt.indexOf("opera/9")!=-1)],['safari',((agt.indexOf('safari')!=-1)&&(agt.indexOf('mac')!=-1))],['khtml',is_khtml]];function isCompatible()
 {if(arguments.length>0)
 {var _args=arguments;for(i=0;i<_args.length;i++)
Index: /branches/2.2/jabberit_messenger/jmessenger/js/jscode/loadIM.js
===================================================================
--- /branches/2.2/jabberit_messenger/jmessenger/js/jscode/loadIM.js	(revision 3680)
+++ /branches/2.2/jabberit_messenger/jmessenger/js/jscode/loadIM.js	(revision 4341)
@@ -420,4 +420,5 @@
 		String = String.replace( /C28I/g		, " <img src='"+path_jabberit+"templates/default/images/smiles/16.gif'/> ");
 		String = String.replace( /CS2A/g		, " <img src='"+path_jabberit+"templates/default/images/smiles/17.gif' style='width:42px;height:36px;'/> ");
+                String = String.replace( /\(CzzzzI\)/g		, " <img src='"+path_jabberit+"templates/default/images/smiles/18.gif'/> ");                
  
 		return String;
@@ -1541,5 +1542,5 @@
 					if( _preferencesIM[0] === 'openWindowJabberit:true' )
 					{
-						if( SnifferBrowser.isCompatible('ie8','firefox3','epiphany2','iceweasel3') )
+						if( SnifferBrowser.isCompatible('ie8','firefox3','firefox4','epiphany2','iceweasel3') )
 							TrophyIM.load();
 					}
Index: /branches/2.2/jabberit_messenger/jmessenger/js/jscode/loadIM.mini.js
===================================================================
--- /branches/2.2/jabberit_messenger/jmessenger/js/jscode/loadIM.mini.js	(revision 3687)
+++ /branches/2.2/jabberit_messenger/jmessenger/js/jscode/loadIM.mini.js	(revision 4341)
@@ -96,5 +96,5 @@
 return true;}
 function getSmiles(String)
-{String=String.replace(/:\)|:-\)/g," <img src='"+path_jabberit+"templates/default/images/smiles/1.gif'/> ");String=String.replace(/:-D/g," <img src='"+path_jabberit+"templates/default/images/smiles/2.gif'/> ");String=String.replace(/;-\)/g," <img src='"+path_jabberit+"templates/default/images/smiles/3.gif'/> ");String=String.replace(/=-O/g," <img src='"+path_jabberit+"templates/default/images/smiles/4.gif'/> ");String=String.replace(/:P/g," <img src='"+path_jabberit+"templates/default/images/smiles/5.gif'/> ");String=String.replace(/8-\)/g," <img src='"+path_jabberit+"templates/default/images/smiles/6.gif'/> ");String=String.replace(/\>:o/g," <img src='"+path_jabberit+"templates/default/images/smiles/7.gif'/> ");String=String.replace(/:-\$/g," <img src='"+path_jabberit+"templates/default/images/smiles/8.gif'/> ");String=String.replace(/:s|:-X/g," <img src='"+path_jabberit+"templates/default/images/smiles/9.gif'/> ");String=String.replace(/:-\(/g," <img src='"+path_jabberit+"templates/default/images/smiles/10.gif'/> ");String=String.replace(/:\'\(/g," <img src='"+path_jabberit+"templates/default/images/smiles/11.gif'/> ");String=String.replace(/:\|/g," <img src='"+path_jabberit+"templates/default/images/smiles/12.gif'/> ");String=String.replace(/O:-\)/g," <img src='"+path_jabberit+"templates/default/images/smiles/13.gif'/> ");String=String.replace(/\*\*@#%/g," <img src='"+path_jabberit+"templates/default/images/smiles/14.gif'/> ");String=String.replace(/\(I\)/g," <img src='"+path_jabberit+"templates/default/images/smiles/15.gif'/> ");String=String.replace(/C28I/g," <img src='"+path_jabberit+"templates/default/images/smiles/16.gif'/> ");String=String.replace(/CS2A/g," <img src='"+path_jabberit+"templates/default/images/smiles/17.gif' style='width:42px;height:36px;'/> ");return String;}
+{String=String.replace(/:\)|:-\)/g," <img src='"+path_jabberit+"templates/default/images/smiles/1.gif'/> ");String=String.replace(/:-D/g," <img src='"+path_jabberit+"templates/default/images/smiles/2.gif'/> ");String=String.replace(/;-\)/g," <img src='"+path_jabberit+"templates/default/images/smiles/3.gif'/> ");String=String.replace(/=-O/g," <img src='"+path_jabberit+"templates/default/images/smiles/4.gif'/> ");String=String.replace(/:P/g," <img src='"+path_jabberit+"templates/default/images/smiles/5.gif'/> ");String=String.replace(/8-\)/g," <img src='"+path_jabberit+"templates/default/images/smiles/6.gif'/> ");String=String.replace(/\>:o/g," <img src='"+path_jabberit+"templates/default/images/smiles/7.gif'/> ");String=String.replace(/:-\$/g," <img src='"+path_jabberit+"templates/default/images/smiles/8.gif'/> ");String=String.replace(/:s|:-X/g," <img src='"+path_jabberit+"templates/default/images/smiles/9.gif'/> ");String=String.replace(/:-\(/g," <img src='"+path_jabberit+"templates/default/images/smiles/10.gif'/> ");String=String.replace(/:\'\(/g," <img src='"+path_jabberit+"templates/default/images/smiles/11.gif'/> ");String=String.replace(/:\|/g," <img src='"+path_jabberit+"templates/default/images/smiles/12.gif'/> ");String=String.replace(/O:-\)/g," <img src='"+path_jabberit+"templates/default/images/smiles/13.gif'/> ");String=String.replace(/\*\*@#%/g," <img src='"+path_jabberit+"templates/default/images/smiles/14.gif'/> ");String=String.replace(/\(I\)/g," <img src='"+path_jabberit+"templates/default/images/smiles/15.gif'/> ");String=String.replace(/C28I/g," <img src='"+path_jabberit+"templates/default/images/smiles/16.gif'/> ");String=String.replace(/CS2A/g," <img src='"+path_jabberit+"templates/default/images/smiles/17.gif' style='width:42px;height:36px;'/> ");String=String.replace(/\(CzzzzI\)/g," <img src='"+path_jabberit+"templates/default/images/smiles/18.gif'/> ");return String;}
 function getStatusUserIM()
 {return statusUserIM;}
@@ -322,5 +322,5 @@
 selectEditable=new SelectEditable();addIcon();setTimeout(function()
 {if(_preferencesIM[0]==='openWindowJabberit:true')
-{if(SnifferBrowser.isCompatible('ie8','firefox3','epiphany2','iceweasel3'))
+{if(SnifferBrowser.isCompatible('ie8','firefox3','firefox4','epiphany2','iceweasel3'))
 TrophyIM.load();}},1500);autoStatus();configEvents(document,'onmousemove',autoStatus);configEvents(document,'onkeypress',autoStatus);},2000);}}
 loadIM.prototype.adIcon=addIcon;loadIM.prototype.actionButton=actionButton;loadIM.prototype.addContact=addContact;loadIM.prototype.addNewUser=addNewUser;loadIM.prototype.clrAllContacts=clrAllContacts;loadIM.prototype.configEvents=configEvents;loadIM.prototype.createChatRooms=createChatRooms;loadIM.prototype.disabledNotificationNewUsers=disabledNotificationNewUsers;loadIM.prototype.enabledNotificationNewUsers=enabledNotificationNewUsers;loadIM.prototype.getListRooms=getListRooms;loadIM.prototype.getIsIE=getIsIE;loadIM.prototype.getPhotoUser=getPhotoUser;loadIM.prototype.getSmiles=getSmiles;loadIM.prototype.getStatusUserIM=getStatusUserIM;loadIM.prototype.getStatusMessage=getStatusMessage;loadIM.prototype.getShowContactsOffline=getShowContactsOffline;loadIM.prototype.getUserCurrent=getUserCurrent;loadIM.prototype.getZIndex=getZindex;loadIM.prototype.groupsHidden=groupsHidden;loadIM.prototype.groupsVisible=groupsVisible;loadIM.prototype.joinRoom=joinRoom;loadIM.prototype.keyPressSearch=keyPressSearch;loadIM.prototype.listRooms=listRooms;loadIM.prototype.loginPage=loginPage;loadIM.prototype.notification=notificationNewMessage;loadIM.prototype.parse=parse;loadIM.prototype.preferences=preferences;loadIM.prototype.searchUser=searchUser
Index: /branches/2.2/jabberit_messenger/jmessenger/js/SnifferBrowser.js
===================================================================
--- /branches/2.2/jabberit_messenger/jmessenger/js/SnifferBrowser.js	(revision 3687)
+++ /branches/2.2/jabberit_messenger/jmessenger/js/SnifferBrowser.js	(revision 4341)
@@ -61,4 +61,5 @@
 			['firefox2', ( agt.indexOf('firefox/2') != -1 ) ],
 			['firefox3', ( agt.indexOf('firefox/3') != -1 ) ],
+                        ['firefox3', ( agt.indexOf('firefox/4') != -1 ) ],
 	
 			// ICEWEASEL