Index: devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/common/Config.java
===================================================================
--- devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/common/Config.java	(revision 4057)
+++ devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/common/Config.java	(revision 4344)
@@ -18,4 +18,5 @@
 	private Properties valores;
 	private Properties emailPreferences;
+	private Properties emailAdminPreferences;
 
 	private Config() {
@@ -25,4 +26,6 @@
 			this.valores = this.load("valores.properties");
 			this.emailPreferences = this.load(getConfig("config.email"));
+			this.emailAdminPreferences = this
+					.load(getConfig("config.email.admin"));
 		} catch (Exception e) {
 			e.printStackTrace();
@@ -59,4 +62,8 @@
 	}
 
+	public String getEmailAdminPreference(String key) {
+		return this.emailAdminPreferences.getProperty(key);
+	}
+
 	private Properties load(String propsName) throws Exception {
 		Properties props = new Properties();
Index: devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/common/IOUtil.java
===================================================================
--- devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/common/IOUtil.java	(revision 4344)
+++ devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/common/IOUtil.java	(revision 4344)
@@ -0,0 +1,119 @@
+package org.expressolivre.cte.common;
+
+import java.io.File;
+import java.io.FileReader;
+import java.io.IOException;
+import java.io.InputStream;
+import java.io.InputStreamReader;
+import java.io.Reader;
+import java.net.URL;
+
+/**
+ * @author L.F.Estivalet (Serpro)
+ * 
+ *         Created on May 9, 2011 at 2:43:28 PM
+ * 
+ */
+public class IOUtil {
+
+	/**
+	 * Read the entire contents of the specified file and return a single String
+	 * object containing the contents of the file.
+	 * 
+	 * @param fileName
+	 *            the name of the file from which to read
+	 * 
+	 * @return a String containing the contents of the input file
+	 * 
+	 * @throws IOException
+	 *             if the specified file cannot be opened, or if an I/O error
+	 *             occurs while reading the file
+	 */
+	public static String readFully(String fileName) throws IOException {
+		return readFully(new File(fileName));
+	}
+
+	/**
+	 * Read the entire contents of the specified file and return a single String
+	 * object containing the contents of the file. This method does not return
+	 * until the end of the input file is reached.
+	 * 
+	 * @param file
+	 *            a File from which to read
+	 * 
+	 * @return a String containing the contents of the input file
+	 * 
+	 * @throws IOException
+	 *             if the specified file cannot be opened, or if an I/O error
+	 *             occurs while reading the file
+	 */
+	public static String readFully(File file) throws IOException {
+		return readFully(new FileReader(file));
+	}
+
+	/**
+	 * Read the entire contents of the specified URL and return a single String
+	 * object containing the contents of the URL. This method does not return
+	 * until an end of stream is reached for the URL.
+	 * 
+	 * @param url
+	 *            a URL from which to read
+	 * 
+	 * @return a String containing the contents of the input URL
+	 * 
+	 * @throws IOException
+	 *             if the specified URL cannot be opened, or if an I/O error
+	 *             occurs while reading the URL
+	 */
+	public static String readFully(URL url) throws IOException {
+		return readFully(url.openStream());
+	}
+
+	/**
+	 * Read the entire contents of the specified InputStream and return a single
+	 * String object containing the contents of the InputStream. This method
+	 * does not return until the end of the input stream is reached.
+	 * 
+	 * @param stream
+	 *            an InputStream from which to read
+	 * 
+	 * @return a String containing the contents of the input stream
+	 * 
+	 * @throws IOException
+	 *             if an I/O error occurs while reading the input stream
+	 */
+	public static String readFully(InputStream stream) throws IOException {
+		return readFully(new InputStreamReader(stream));
+	}
+
+	/**
+	 * Read the entire contents of the specified Reader and return a single
+	 * String object containing the contents of the InputStream. This method
+	 * does not return until the end of the input file or stream is reached.
+	 * 
+	 * @param reader
+	 *            a Reader from which to read
+	 * 
+	 * @return a String containing the contents of the stream
+	 * 
+	 * @throws IOException
+	 *             if an I/O error occurs while reading the input stream
+	 */
+	public static String readFully(Reader reader) throws IOException {
+		char[] arr = new char[8 * 1024]; // 8K at a time
+		StringBuffer buf = new StringBuffer();
+		int numChars;
+
+		while ((numChars = reader.read(arr, 0, arr.length)) > 0) {
+			buf.append(arr, 0, numChars);
+		}
+
+		return buf.toString();
+	}
+
+	/**
+	 * Do not construct an instance of this class.
+	 */
+	private IOUtil() {
+	}
+}
Index: devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/common/Constants.java
===================================================================
--- devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/common/Constants.java	(revision 3853)
+++ devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/common/Constants.java	(revision 4344)
@@ -14,4 +14,8 @@
 	public static final String URL_PREFERENCES_EMAIL = URL_PREFERENCES
 			+ "/preferences.php?appname=expressoMail1_2";
+	public static final String URL_DEFAULT_PREFERENCES_EMAIL = URL_PREFERENCES
+			+ "/preferences.php?appname=expressoMail1_2&type=default";
+	public static final String URL_FORCED_PREFERENCES_EMAIL = URL_PREFERENCES
+			+ "/preferences.php?appname=expressoMail1_2&type=forced";
 	public static final String USER = Config.getInstance().getConfig("user");
 	public static final String PASS = Config.getInstance().getConfig("passwd");
@@ -27,4 +31,6 @@
 	public static final String EMAIL_ASSUNTO = Config.getInstance().getValor(
 			"assunto");
+	public static final String EMAIL_ASSUNTO_TEXTO_100k = Config.getInstance()
+			.getValor("assunto.100k");
 	public static final String EMAIL_ASSUNTO_IMPORTANTE = Config.getInstance()
 			.getValor("assunto.importante");
Index: devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/common/PreferencesTestCase.java
===================================================================
--- devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/common/PreferencesTestCase.java	(revision 3789)
+++ devel/testlink/automation2.0/src/test/java/org/expressolivre/cte/common/PreferencesTestCase.java	(revision 4344)
@@ -1,4 +1,5 @@
 package org.expressolivre.cte.common;
 
+import org.expressolivre.cte.pages.email.ExpressoMailAdminPreferencesPage;
 import org.expressolivre.cte.pages.email.ExpressoMailPreferencesPage;
 import org.openqa.selenium.support.PageFactory;
@@ -23,3 +24,36 @@
 	}
 
+	/**
+	 * Abre pagina de preferencias administrativas do modulo ExpressoMail.
+	 * 
+	 * @return
+	 */
+	public ExpressoMailAdminPreferencesPage openEmailAdminPreferencesPage() {
+		driver.get(URL_PREFERENCES_EMAIL);
+		return PageFactory.initElements(driver,
+				ExpressoMailAdminPreferencesPage.class);
+	}
+
+	/**
+	 * Abre pagina de preferencias administrativas do modulo ExpressoMail.
+	 * 
+	 * @return
+	 */
+	public ExpressoMailAdminPreferencesPage openEmailAdminDefaultPreferencesPage() {
+		driver.get(URL_DEFAULT_PREFERENCES_EMAIL);
+		return PageFactory.initElements(driver,
+				ExpressoMailAdminPreferencesPage.class);
+	}
+
+	/**
+	 * Abre pagina de preferencias administrativas do modulo ExpressoMail.
+	 * 
+	 * @return
+	 */
+	public ExpressoMailAdminPreferencesPage openEmailAdminForcedPreferencesPage() {
+		driver.get(URL_FORCED_PREFERENCES_EMAIL);
+		return PageFactory.initElements(driver,
+				ExpressoMailAdminPreferencesPage.class);
+	}
+
 }