Index: /branches/2.2.0.1/phpgwapi/setup/setup.inc.php
===================================================================
--- /branches/2.2.0.1/phpgwapi/setup/setup.inc.php	(revision 4294)
+++ /branches/2.2.0.1/phpgwapi/setup/setup.inc.php	(revision 4363)
@@ -14,5 +14,5 @@
 	$setup_info['phpgwapi']['name']      = 'phpgwapi';
 	$setup_info['phpgwapi']['title']     = 'API';
-	$setup_info['phpgwapi']['version']   = '2.2.2';
+	$setup_info['phpgwapi']['version']   = '2.2.3';
 	$setup_info['phpgwapi']['versions']['current_header'] = '2.2';
 	$setup_info['phpgwapi']['enable']    = 3;
Index: /branches/2.2.0.1/phpgwapi/setup/tables_update.inc.php
===================================================================
--- /branches/2.2.0.1/phpgwapi/setup/tables_update.inc.php	(revision 4294)
+++ /branches/2.2.0.1/phpgwapi/setup/tables_update.inc.php	(revision 4363)
@@ -121,3 +121,9 @@
 		return $GLOBALS['setup_info']['phpgwapi']['currentver'];
 	}
+        $test[] = '2.2.2';
+	function phpgwapi_upgrade2_2_2()
+	{
+		$GLOBALS['setup_info']['phpgwapi']['currentver'] = '2.2.3';
+		return $GLOBALS['setup_info']['phpgwapi']['currentver'];
+	}
 ?>
Index: /branches/2.2.0.1/mobile/setup/setup.inc.php
===================================================================
--- /branches/2.2.0.1/mobile/setup/setup.inc.php	(revision 4294)
+++ /branches/2.2.0.1/mobile/setup/setup.inc.php	(revision 4363)
@@ -14,5 +14,5 @@
 	$setup_info['mobile']['name']      = 'mobile';
 	$setup_info['mobile']['title']     = 'Expresso Mini';
-	$setup_info['mobile']['version']   = '2.2.2';
+	$setup_info['mobile']['version']   = '2.2.3';
 	$setup_info['mobile']['app_order'] = 4;
 	$setup_info['mobile']['enable']    = 2;
Index: /branches/2.2.0.1/contactcenter/setup/tables_update.inc.php
===================================================================
--- /branches/2.2.0.1/contactcenter/setup/tables_update.inc.php	(revision 4294)
+++ /branches/2.2.0.1/contactcenter/setup/tables_update.inc.php	(revision 4363)
@@ -64,3 +64,8 @@
 		return $GLOBALS['setup_info']['contactcenter']['currentver'];
 	}
+        $test[] = '2.2.2';
+	function contactcenter_upgrade2_2_2() {
+		$GLOBALS['setup_info']['contactcenter']['currentver'] = '2.2.3';
+		return $GLOBALS['setup_info']['contactcenter']['currentver'];
+	}
 ?>
Index: /branches/2.2.0.1/contactcenter/setup/setup.inc.php
===================================================================
--- /branches/2.2.0.1/contactcenter/setup/setup.inc.php	(revision 4294)
+++ /branches/2.2.0.1/contactcenter/setup/setup.inc.php	(revision 4363)
@@ -17,5 +17,5 @@
 	$setup_info['contactcenter']['name']      = 'contactcenter';
 	$setup_info['contactcenter']['title']     = 'ContactCenter';
-	$setup_info['contactcenter']['version']   = '2.2.2';
+	$setup_info['contactcenter']['version']   = '2.2.3';
 	$setup_info['contactcenter']['app_order'] = 4;
 	$setup_info['contactcenter']['enable']    = 1;
Index: /branches/2.2.0.1/expressoMail1_2/setup/tables_update.inc.php
===================================================================
--- /branches/2.2.0.1/expressoMail1_2/setup/tables_update.inc.php	(revision 4294)
+++ /branches/2.2.0.1/expressoMail1_2/setup/tables_update.inc.php	(revision 4363)
@@ -111,3 +111,8 @@
 		return $setup_info['expressoMail1_2']['currentver'];
 	}
+        $test[] = '2.2.2';
+	function expressoMail1_2_upgrade2_2_2() {
+		$setup_info['expressoMail1_2']['currentver'] = '2.2.3';
+		return $setup_info['expressoMail1_2']['currentver'];
+	}
 ?>
Index: /branches/2.2.0.1/expressoMail1_2/setup/setup.inc.php
===================================================================
--- /branches/2.2.0.1/expressoMail1_2/setup/setup.inc.php	(revision 4294)
+++ /branches/2.2.0.1/expressoMail1_2/setup/setup.inc.php	(revision 4363)
@@ -12,5 +12,5 @@
 	$setup_info['expressoMail1_2']['name']      	= 'expressoMail1_2';
 	$setup_info['expressoMail1_2']['title']     	= 'Expresso Mail';
-	$setup_info['expressoMail1_2']['version']   	= '2.2.2';
+	$setup_info['expressoMail1_2']['version']   	= '2.2.3';
 	$setup_info['expressoMail1_2']['app_order'] 	= 2;
 	$setup_info['expressoMail1_2']['tables'][]		= 'phpgw_expressomail_contacts';