Index: sandbox/2.2.0.2/expressoMail1_2/inc/class.imap_functions.inc.php
===================================================================
--- sandbox/2.2.0.2/expressoMail1_2/inc/class.imap_functions.inc.php	(revision 4429)
+++ sandbox/2.2.0.2/expressoMail1_2/inc/class.imap_functions.inc.php	(revision 4436)
@@ -576,4 +576,9 @@
 	}
 	
+	/**
+	* @license   http://www.gnu.org/copyleft/gpl.html GPL
+	* @author    Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+	* @param     $msg_number numero da mensagem
+	*/
 	function getRawHeader($msg_number)
     {
@@ -581,4 +586,9 @@
 	}
 	
+	/**
+	* @license   http://www.gnu.org/copyleft/gpl.html GPL
+	* @author    Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+	* @param     $msg_number numero da mensagem
+	*/
 	function getRawBody($msg_number)
     {
@@ -586,4 +596,10 @@
 	}
 
+	
+	/**
+	* @license   http://www.gnu.org/copyleft/gpl.html GPL
+	* @author    Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+	* @param     $msg mensagem
+	*/
 	function builderMsgHeader($msg)
     {
@@ -615,5 +631,5 @@
     }
 	
-	/**
+		/**
         * Constroe o corpo da msg direto na variavel de conteudo
         * @param Mail_mimeDecode $structure
@@ -741,5 +757,10 @@
 	
 	
-		function get_msg_sample($msg_number)
+	/**
+	* @license   http://www.gnu.org/copyleft/gpl.html GPL
+	* @author    Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+	* @param     $msg_number numero da mensagem
+	*/
+	function get_msg_sample($msg_number)
 	{
 
@@ -1350,4 +1371,13 @@
                 }
 
+				
+	/**
+	* @license   http://www.gnu.org/copyleft/gpl.html GPL
+	* @author    Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+	* @param     $images
+	* @param     $msgno
+	* @param     $body
+	* @param     $msg_folder
+	*/			
 	function process_embedded_images($images, $msgno, $body, $msg_folder)
 	{
@@ -1448,5 +1478,12 @@
 	}	
 
-function replace_links(&$body)
+	
+	
+	/**
+	* @license   http://www.gnu.org/copyleft/gpl.html GPL
+	* @author    Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+	* @param     $body corpo da mensagem
+	*/
+	function replace_links(&$body)
    	{
 		// Domains and IPs addresses found in the text and which is not a link yet should be replaced by one.
@@ -1621,4 +1658,12 @@
 	}
 
+	
+	/**
+	* @license   http://www.gnu.org/copyleft/gpl.html GPL
+	* @author    Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+	* @param     $images
+	* @param     $msg_number
+	* @param     $msg_folder
+	*/
 	function get_thumbs($images, $msg_number, $msg_folder)
 	{
@@ -2429,4 +2474,12 @@
 	}
 	
+	
+	/**
+	* @license   http://www.gnu.org/copyleft/gpl.html GPL
+	* @author    Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+	* @param     $mail email
+	* @param     $msg_uid uid da mensagem
+	* @param     $forwarding_attachments anexos
+	*/
 	function buildEmbeddedImages(&$mail,$msg_uid,&$forwarding_attachments)
 	{
@@ -3946,5 +3999,11 @@
 	}
 
-function spam($params)
+	
+	/**
+	* @license   http://www.gnu.org/copyleft/gpl.html GPL
+	* @author    Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+	* @param     $params
+	*/
+	function spam($params)
 	{
 		
@@ -4010,6 +4069,9 @@
 		return false;
 	}
-	function get_header($msg_number){
-                $header = @imap_headerinfo($this->mbox, imap_msgno($this->mbox, $msg_number), 80, 255);
+	
+	
+	function get_header($msg_number)
+	{
+        $header = @imap_headerinfo($this->mbox, imap_msgno($this->mbox, $msg_number), 80, 255);
 		if (!is_object($header))
 			return false;
@@ -4040,10 +4102,14 @@
        	}
         if($timestamp){
-            $tempDir = ini_get("session.save_path");
-            $file = $tempDir."imap_".$_SESSION[ 'phpgw_session' ][ 'session_id' ];
+			$pdate = date_parse(date('r')); // pega a data atual do servidor (TODO: pegar a data da mensagem local) 
+ 	        $file = $tempDir."imap_".$_SESSION[ 'phpgw_session' ][ 'session_id' ];  	
+			$timestamp += $pdate['zone']*(60); //converte a data da mensagem para o fuso horário GMT 0. Isto é feito devido ao Expresso Mail armazenar a data no fuso horário GMT 0 e para exibi-la converte ela para o fuso horário local. 
+ 	                         
+ 	        /* TODO: o diretorio /tmp deve ser substituido pelo diretorio temporario configurado no setup */ 
+ 	        $file = "/tmp/sess_".$_SESSION[ 'phpgw_session' ][ 'session_id' ]; 
     		$f = fopen($file,"w");
         	fputs($f,base64_encode($source));
             fclose($f);
-            $command = "python ".$_SERVER['DOCUMENT_ROOT']."/expressoMail1_2/imap.py ".escapeshellarg($imap_server)." ".escapeshellarg($imap_port)." ".escapeshellarg($username)." ".escapeshellarg($password)." ".escapeshellarg($timestamp)." ".escapeshellarg($folder)." ".escapeshellarg($file);
+            $command = "python ".$_SESSION['rootPatch']."/expressoMail1_2/imap.py ".escapeshellarg($imap_server)." ".escapeshellarg($imap_port)." ".escapeshellarg($username)." ".escapeshellarg($password)." ".escapeshellarg($timestamp)." ".escapeshellarg($folder)." ".escapeshellarg($file);
             $return['command']=exec(escapeshellcmd($command));
         }else{
Index: sandbox/2.2.0.2/expressoMail1_2/inc/class.attachment.inc.php
===================================================================
--- sandbox/2.2.0.2/expressoMail1_2/inc/class.attachment.inc.php	(revision 4414)
+++ sandbox/2.2.0.2/expressoMail1_2/inc/class.attachment.inc.php	(revision 4436)
@@ -1,3 +1,11 @@
 <?php
+/**
+* Classe que manipula e gerencia toda a parte de anexos.
+*
+* @package    ExpressoMail
+* @license    http://www.gnu.org/copyleft/gpl.html GPL
+* @author     Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+* @author     Cristiano Correa
+*/
 
 class attachment
@@ -19,4 +27,6 @@
     /**
      * Constructor
+	 * @license   http://www.gnu.org/copyleft/gpl.html GPL
+	 * @author    Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
      * @param string $folder Imap folder name
      * @param integer $msgNumber Imap menssagem number
@@ -49,5 +59,7 @@
     /**
      * Open mail from Imap and parse structure
-     * @return string  menssagem
+     * @license   http://www.gnu.org/copyleft/gpl.html GPL
+	 * @author    Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+	 * @return string  menssagem
      */
     public function setStructureFromMail($folder,$msgNumber)
@@ -84,6 +96,8 @@
 
     /**
-     *  Set Stucture from Mail_mimeDecode Structure
-     * @param Mail_mimeDecode $structure
+     * Set Stucture from Mail_mimeDecode Structure
+     * @license   http://www.gnu.org/copyleft/gpl.html GPL
+	 * @author    Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+	 * @param Mail_mimeDecode $structure
      */
     public function setStructure($structure)
@@ -94,4 +108,6 @@
     /**
      *  Set Stucture from raw mail code
+	 * @license   http://www.gnu.org/copyleft/gpl.html GPL
+	 * @author    Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
      * @param Mail_mimeDecode $structure
      */
@@ -104,5 +120,7 @@
     /**
      * Returns Attachment Decoded
-     * @param string $partNumber Index part
+     * @license   http://www.gnu.org/copyleft/gpl.html GPL
+	 * @author    Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+	 * @param string $partNumber Index part
      * @return string Attachment Decoded
      */
@@ -116,5 +134,7 @@
      /**
      * Returns EmbeddedImages Infos
-     * @return array EmbeddedImages
+     * @license   http://www.gnu.org/copyleft/gpl.html GPL
+	 * @author    Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+	 * @return array EmbeddedImages
      */
     public function getEmbeddedImagesInfo()
@@ -127,5 +147,7 @@
     /**
      * Returns Attachments Infos
-     * @return array
+     * @license   http://www.gnu.org/copyleft/gpl.html GPL
+	 * @author    Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+	 * @return array
      */
     public function getAttachmentsInfo()
@@ -138,5 +160,7 @@
     /**
      * Returns Attachment Info
-     * @param string $partNumber Index part
+     * @license   http://www.gnu.org/copyleft/gpl.html GPL
+	 * @author    Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+	 * @param string $partNumber Index part
      * @return array
      */
@@ -150,5 +174,7 @@
     /**
      * returns the source code menssagem
-     * @return string  menssagem
+     * @license   http://www.gnu.org/copyleft/gpl.html GPL
+	 * @author    Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+	 * @return string  menssagem
      */
     private function _getRaw()
@@ -159,5 +185,7 @@
     /**
      * Returns content from the searched
-     * @param pointer $structure Structure object
+     * @license   http://www.gnu.org/copyleft/gpl.html GPL
+	 * @author    Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+	 * @param pointer $structure Structure object
      * @param string $soughtIndex
      * @param pointer $body Content
@@ -192,4 +220,8 @@
     }
 
+	/**
+     * @license   http://www.gnu.org/copyleft/gpl.html GPL
+	 * @author    Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br)
+     */
     private function _getPartInfo(&$structure, $soughtIndex,&$info,$pIndex = '0')
     {
@@ -353,9 +385,5 @@
     }
 
-  
-
-
 }
 
-
 ?>