Index: branches/2.2/jabberit_messenger/jmessenger/inc/jabberit_acl.inc.php
===================================================================
--- branches/2.2/jabberit_messenger/jmessenger/inc/jabberit_acl.inc.php	(revision 3680)
+++ branches/2.2/jabberit_messenger/jmessenger/inc/jabberit_acl.inc.php	(revision 4440)
@@ -39,6 +39,7 @@
 			$webserver_url .= '/';
 
-		$help_expresso	= $webserver_url .'help';
-		$webserver_url 	= $webserver_url . 'jabberit_messenger/jmessenger/'; 
+		$help_expresso      = $webserver_url .'help';
+                $webserver_expresso = $webserver_url . "phpgwapi/";
+		$webserver_url      = $webserver_url . 'jabberit_messenger/jmessenger/'; 
 		
 		require_once PHPGW_SERVER_ROOT . '/jabberit_messenger/jmessenger/inc/jabberit_sessions.inc.php';
@@ -84,21 +85,22 @@
 		$_DbIM			= new DataBaseIM();
 		$preferences	= $_DbIM->getPreferences();
-
+                
+                
 		echo "<script type='text/javascript'>".$js."</script>";
-		echo "<script type='text/javascript' src='".$webserver_url . "js/strophe.mini.js'></script>";
-		echo "<script type='text/javascript' src='".$webserver_url . "js/SnifferBrowser.mini.js'></script>";
-		echo "<script type='text/javascript' src='".$webserver_url . "js/jscode/loadIM.mini.js'></script>";
-        echo "<script type='text/javascript' src='".$webserver_url . "js/connector.mini.js'></script>";
-	 	echo "<script type='text/javascript' src='".$webserver_url . "js/xtools.mini.js'></script>";
-	 	echo "<script type='text/javascript' src='".$webserver_url . "js/lang/i18n_pt_Br.mini.js'></script>";
-	 	echo "<script type='text/javascript' src='".$webserver_url . "js/dragdrop.mini.js'></script>";
-	 	echo "<script type='text/javascript' src='".$webserver_url . "js/makeW.mini.js'></script>";
-	 	echo "<script type='text/javascript' src='".$webserver_url . "js/show_hidden.mini.js'></script>";
-	 	echo "<script type='text/javascript' src='".$webserver_url . "js/trophyim_constants.js'></script>";
-	 	echo "<script type='text/javascript' src='".$webserver_url . "js/trophyim.mini.js'></script>";
-	 	echo "<script type='text/javascript' src='".$webserver_url . "js/AddUser.mini.js'></script>";			            	 	
-	 	echo "<script type='text/javascript' src='".$webserver_url . "js/json2.js'></script>";
-	 	echo "<script type='text/javascript' src='".$webserver_url . "js/SelectEditable.mini.js'></script>";
-		echo "<script type='text/javascript'> var loadscript = new LoadIM('".$fullName."','".$preferences."'); </script>";
+		echo "<script type='text/javascript' src='".$webserver_url .        "js/strophe.mini.js'></script>";
+		echo "<script type='text/javascript' src='".$webserver_expresso .   "js/browser/browserDetect.js'></script>";
+		echo "<script type='text/javascript' src='".$webserver_url .        "js/jscode/loadIM.mini.js'></script>";
+                echo "<script type='text/javascript' src='".$webserver_url .        "js/connector.mini.js'></script>";
+	 	echo "<script type='text/javascript' src='".$webserver_expresso .   "js/x_tools/xtools.js'></script>";
+	 	echo "<script type='text/javascript' src='".$webserver_url .        "js/lang/i18n_pt_Br.mini.js'></script>";
+	 	echo "<script type='text/javascript' src='".$webserver_url .        "js/dragdrop.mini.js'></script>";
+	 	echo "<script type='text/javascript' src='".$webserver_url .        "js/makeW.mini.js'></script>";
+	 	echo "<script type='text/javascript' src='".$webserver_url .        "js/show_hidden.mini.js'></script>";
+	 	echo "<script type='text/javascript' src='".$webserver_url .        "js/trophyim_constants.js'></script>";
+	 	echo "<script type='text/javascript' src='".$webserver_url .        "js/trophyim.mini.js'></script>";
+	 	echo "<script type='text/javascript' src='".$webserver_url .        "js/AddUser.mini.js'></script>";			            	 	
+	 	echo "<script type='text/javascript' src='".$webserver_url .        "js/json2.js'></script>";
+	 	echo "<script type='text/javascript' src='".$webserver_url .        "js/SelectEditable.mini.js'></script>";
+		echo "<script type='text/javascript'> var loadscript = new LoadIM('".$fullName."','".$preferences."','".$webserver_expresso."'); </script>";
 		
 		break;