Index: branches/2.2/jabberit_messenger/jmessenger/js/jscode/loadIM.js
===================================================================
--- branches/2.2/jabberit_messenger/jmessenger/js/jscode/loadIM.js	(revision 4345)
+++ branches/2.2/jabberit_messenger/jmessenger/js/jscode/loadIM.js	(revision 4442)
@@ -3,19 +3,20 @@
 	var _autoStatus;
 	var _autoStatusTime 		= 60000; // 1 minuto
-	var addUser					= null;
-	var conn					= null;
-	var fullName				= "";
-	var path					= "";
-	var _preferencesIM			= "";
-	var selectEditable			= null;
-	var showhidden 				= null;
-	var statusUserIM			= "";
-	var _statusMessage			= "";
-	var timeoutId				= null;
-	var userCurrent				= null;
+	var addUser			= null;
+	var conn			= null;
+	var fullName			= "";
+	var path			= "";
+        var path_phpgwapi               = "";
+	var _preferencesIM		= "";
+	var selectEditable		= null;
+	var showhidden 			= null;
+	var statusUserIM		= "";
+	var _statusMessage		= "";
+	var timeoutId			= null;
+	var userCurrent			= null;
 	var _timeOutNotification	= "";
-	var Xtools					= null;
-	var zIndex					= 9001;
-	var windowPopUp				= [];
+	var Xtools			= null;
+	var zIndex			= 9001;
+	var windowPopUp			= [];
 	
 	// Images
@@ -828,6 +829,6 @@
 				var paramListContact = 
 				{
-					'idUser'		: _idUser,
-					'full_name'		: (( fullName.length < 25 ) ? fullName : ( fullName.substring( 0, 25) + "...")),
+					'idUser'	: _idUser,
+					'full_name'	: (( fullName.length < 25 ) ? fullName : ( fullName.substring( 0, 25) + "...")),
 					'path_jabberit' : path_jabberit,
 					'help_expresso'	: help_expresso,
@@ -842,10 +843,10 @@
 				var paramList = 
 				{
-					'path_jabberit' : path_jabberit
+					'path' : path_phpgwapi
 				};
 				
 				winRosterDiv.width		= 280;
 				winRosterDiv.height		= 430;
-				winRosterDiv.content	= Xtools.parse(Xtools.xml("navigator"),"navigatorCompatible.xsl", paramList);
+				winRosterDiv.content	= Xtools.parse( Xtools.xml("navigator"), path_phpgwapi + "templates/default/xsl/navigatorCompatible.xsl" , paramList);
 			}
 			
@@ -1510,5 +1511,8 @@
 			// Preferences
 			_preferencesIM = arguments[1].split(";");
-			
+                        
+                        //Path Phpgwapi
+                        path_phpgwapi = arguments[2];
+                        
 			if( !_preferencesIM[3] ) _preferencesIM[3] = "showContactsOfflineJabberit:true";
 			
@@ -1557,8 +1561,8 @@
 	}
 
-	loadIM.prototype.adIcon				= addIcon;
+	loadIM.prototype.adIcon			= addIcon;
 	loadIM.prototype.actionButton		= actionButton;
-	loadIM.prototype.addContact			= addContact;
-	loadIM.prototype.addNewUser			= addNewUser;
+	loadIM.prototype.addContact		= addContact;
+	loadIM.prototype.addNewUser		= addNewUser;
 	loadIM.prototype.clrAllContacts		= clrAllContacts;
 	loadIM.prototype.configEvents		= configEvents;
@@ -1567,22 +1571,22 @@
 	loadIM.prototype.enabledNotificationNewUsers	= enabledNotificationNewUsers;	
 	loadIM.prototype.getListRooms		= getListRooms;	
-	loadIM.prototype.getIsIE			= getIsIE;
+	loadIM.prototype.getIsIE		= getIsIE;
 	loadIM.prototype.getPhotoUser		= getPhotoUser;
-	loadIM.prototype.getSmiles			= getSmiles;
+	loadIM.prototype.getSmiles		= getSmiles;
 	loadIM.prototype.getStatusUserIM	= getStatusUserIM;
 	loadIM.prototype.getStatusMessage	= getStatusMessage;
 	loadIM.prototype.getShowContactsOffline	= getShowContactsOffline;
 	loadIM.prototype.getUserCurrent		= getUserCurrent;
-	loadIM.prototype.getZIndex			= getZindex;
+	loadIM.prototype.getZIndex		= getZindex;
 	loadIM.prototype.groupsHidden		= groupsHidden;
 	loadIM.prototype.groupsVisible		= groupsVisible;
-	loadIM.prototype.joinRoom			= joinRoom;	
+	loadIM.prototype.joinRoom		= joinRoom;	
 	loadIM.prototype.keyPressSearch		= keyPressSearch;	
-	loadIM.prototype.listRooms			= listRooms;
-	loadIM.prototype.loginPage			= loginPage;
+	loadIM.prototype.listRooms		= listRooms;
+	loadIM.prototype.loginPage		= loginPage;
 	loadIM.prototype.notification		= notificationNewMessage;
-	loadIM.prototype.parse				= parse;
+	loadIM.prototype.parse			= parse;
 	loadIM.prototype.preferences		= preferences;
-	loadIM.prototype.searchUser			= searchUser
+	loadIM.prototype.searchUser		= searchUser
 	loadIM.prototype.setAutorization	= setAutorization;
 	loadIM.prototype.setMessageStatus	= setMessageStatus;
@@ -1597,5 +1601,5 @@
 	loadIM.prototype.renameContact		= renameContact;
 	loadIM.prototype.renameGroup		= renameGroup;
-	loadIM.prototype.rosterDiv			= rosterDiv;
+	loadIM.prototype.rosterDiv		= rosterDiv;
 	loadIM.prototype.windowNotificationNewUsers  = windowNotificationNewUsers;
 	loadIM.prototype.windowPOPUP		= windowPOPUP;
Index: branches/2.2/jabberit_messenger/jmessenger/js/jscode/loadIM.mini.js
===================================================================
--- branches/2.2/jabberit_messenger/jmessenger/js/jscode/loadIM.mini.js	(revision 4345)
+++ branches/2.2/jabberit_messenger/jmessenger/js/jscode/loadIM.mini.js	(revision 4442)
@@ -1,4 +1,4 @@
 (function()
-{var _autoStatus;var _autoStatusTime=60000;var addUser=null;var conn=null;var fullName="";var path="";var _preferencesIM="";var selectEditable=null;var showhidden=null;var statusUserIM="";var _statusMessage="";var timeoutId=null;var userCurrent=null;var _timeOutNotification="";var Xtools=null;var zIndex=9001;var windowPopUp=[];var add_user=new Image();add_user.src=path_jabberit+'templates/default/images/adduser_azul.png';var arrow_down=new Image();arrow_down.src=path_jabberit+'templates/default/images/arrow_down.gif';var arrow_right=new Image();arrow_right.src=path_jabberit+'templates/default/images/arrow_right.gif';function actionButton()
+{var _autoStatus;var _autoStatusTime=60000;var addUser=null;var conn=null;var fullName="";var path="";var path_phpgwapi="";var _preferencesIM="";var selectEditable=null;var showhidden=null;var statusUserIM="";var _statusMessage="";var timeoutId=null;var userCurrent=null;var _timeOutNotification="";var Xtools=null;var zIndex=9001;var windowPopUp=[];var add_user=new Image();add_user.src=path_jabberit+'templates/default/images/adduser_azul.png';var arrow_down=new Image();arrow_down.src=path_jabberit+'templates/default/images/arrow_down.gif';var arrow_right=new Image();arrow_right.src=path_jabberit+'templates/default/images/arrow_right.gif';function actionButton()
 {if(arguments.length>0)
 {var e=arguments[0];var _element=(e.target)?e.target:e.srcElement;var jid=arguments[1];var coord=null;if(!e)
@@ -183,5 +183,5 @@
 {var _idUser=Base64.decode(getUserCurrent().jid);var paramListContact={'idUser':_idUser,'full_name':((fullName.length<25)?fullName:(fullName.substring(0,25)+"...")),'path_jabberit':path_jabberit,'help_expresso':help_expresso,'zIndex_':zIndex++};winRosterDiv.content=Xtools.parse(Xtools.xml("contacts_list"),"contactsList.xsl",paramListContact)}
 else
-{var paramList={'path_jabberit':path_jabberit};winRosterDiv.width=280;winRosterDiv.height=430;winRosterDiv.content=Xtools.parse(Xtools.xml("navigator"),"navigatorCompatible.xsl",paramList);}
+{var paramList={'path':path_phpgwapi};winRosterDiv.width=280;winRosterDiv.height=430;winRosterDiv.content=Xtools.parse(Xtools.xml("navigator"),path_phpgwapi+"templates/default/xsl/navigatorCompatible.xsl",paramList);}
 _winBuild(winRosterDiv);getPhotoUser(_idUser);}
 setTimeout(function(){_rosterDiv();},200);}
@@ -315,5 +315,5 @@
 function loadIM()
 {if(arguments.length>0)
-{var files=[path_jabberit+'templates/default/css/button.css',path_jabberit+'templates/default/css/common.css',path_jabberit+'templates/default/css/selectEditableStyle.css',path_jabberit+'templates/default/css/'+theme_jabberit];fullName=arguments[0];_preferencesIM=arguments[1].split(";");if(!_preferencesIM[3])_preferencesIM[3]="showContactsOfflineJabberit:true";loadScripts(files);setTimeout(function()
+{var files=[path_jabberit+'templates/default/css/button.css',path_jabberit+'templates/default/css/common.css',path_jabberit+'templates/default/css/selectEditableStyle.css',path_jabberit+'templates/default/css/'+theme_jabberit];fullName=arguments[0];_preferencesIM=arguments[1].split(";");path_phpgwapi=arguments[2];if(!_preferencesIM[3])_preferencesIM[3]="showContactsOfflineJabberit:true";loadScripts(files);setTimeout(function()
 {if(Xtools==null)
 Xtools=new xtools(path_jabberit);if(conn==null)